<script setup lang="ts">
import { Temporal } from "@js-temporal/polyfill";

interface Props {
  readonly datetime: Temporal.ZonedDateTime;
}

const props = withDefaults(defineProps<Props>(), {});
</script>

<template>
  <div class="calendar-footer">Current: {{ props.datetime.toString() }}</div>
</template>

<style scoped>
.calendar-footer {
  @apply flex;
}
</style>
